#!/bin/bash
###########################################################################
# Copyright (c) 2016-2017 Franco (nextime) Lanza <nextime@nexlab.it>
#
# Multibot daemon
#
# This file is part of multibot.
#
# multibot2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

### BEGIN INIT INFO
# Provides:          multibotd
# Required-Start:    $syslog $remote_fs mysql
# Required-Stop:     $syslog $remote_fs
# X-Interactive:     yes
# Should-Start:      $network 
# Should-Stop:       $network 
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start and stop Multibot
# Description:       Multibot daemon
### END INIT INFO

cd `basename $0`
./multibotd $@
if [ x"$1" = x"stop" ] ; then
   chk=$(pgrep "multibotd")
   if [ x"$chk" != x"" ] ; then
      kill -9 $chk >/dev/null 2>&1
   fi
fi
exit 0

