# Multibot
## A python twisted based framework for multiple chat

Multibot is a pythonic framework based on twisted to create chatbot for multiple networks.

It's a work in progress and it's far to be complete, anyway, it is already usable, I personally use it 
integrated in my own home automation system with a messenger bot.

The project is free software and, as usual, open source, you are welcome to use it for anything you like to, 
of course contributions are welcome.

[DONATIONS id:1269] 
help us to continue developement at https://www.nexlab.net/supportus

## Documentation:
 * [How to install](https://git.nexlab.net/social/multibot/wikis/HowToInstall)
 * [How to use](https://git.nexlab.net/social/multibot/wikis/HowToUse)

## FEATURES:
 * Messenger support [Wiki page with details](https://git.nexlab.net/social/multibot/wikis/Messenger)

## PLANNED FEATURES:
 * Chat protocols:
  * Telegram support
  * Whatsapp support (to be evaluated)
  * IRC support
 * Payment support:
  * Bitcoin 
 * AI and NLP (local):
  * Tensorflow (using Keras)
  * Theano (using Keras)
  * NLTK
 * AI and NLP (Cloud):
  * OpenNER
  * api.ai
  * wit.ai
 * Other Clouds support:
  * Oper weather map
  * OpenStreetMap
 * SMS and telephony interface
  * kannel 
  * is there any free for open source SMS gateway out there?
 * self contained install (virtualenv? a container? don't yet know) 
 
  

